<!-- 3way‚©‚ç‰J -->
<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">
<action label="top">
	<fire>
		<direction type="aim">60</direction>
		<speed>1.5 + $rank</speed>
		<bulletRef label="3way">
			<param>2.0 + $rank</param>
		</bulletRef>
	</fire>
	<fire>
		<direction type="aim">180</direction>
		<speed>1.5 + $rank</speed>
		<bulletRef label="3way">
			<param>2.0 + $rank</param>
		</bulletRef>
	</fire>
	<fire>
		<direction type="aim">300</direction>
		<speed>1.5 + $rank</speed>
		<bulletRef label="3way">
			<param>2.0 + $rank</param>
		</bulletRef>
	</fire>

	<wait>10</wait>
	<vanish />
</action>

<bullet label="3way">
	<action>
		<wait>40 + $rand * 10</wait>
		<fire>
			<direction type="aim">45</direction>
			<speed>$1</speed>
			<bulletRef label="3way2">
				<param>1.5 + $rank</param>
			</bulletRef>
		</fire>
		<fire>
			<direction type="aim">165</direction>
			<speed>$1</speed>
			<bulletRef label="3way2">
				<param>1.5 + $rank</param>
			</bulletRef>
		</fire>
		<fire>
			<direction type="aim">285</direction>
			<speed>$1</speed>
			<bulletRef label="3way2">
				<param>1.5 + $rank</param>
			</bulletRef>
		</fire>

		<vanish />
	</action>
</bullet>

<bullet label="3way2">
	<action>
		<wait>40 + $rand * 10</wait>
		<fire>
			<direction type="aim">180</direction>
			<speed>$1</speed>
			<bulletRef label="down"/>
		</fire>
		<fire>
			<direction type="aim">90</direction>
			<speed>$1</speed>
			<bulletRef label="down"/>
		</fire>
		<fire>
			<direction type="aim">-90</direction>
			<speed>$1</speed>
			<bulletRef label="down"/>
		</fire>

		<vanish />
	</action>
</bullet>

<bullet label="down">
	<action>
		<changeDirection>
			<direction type="absolute">180</direction>
			<term>50 + $rand * 100</term>
		</changeDirection>
		<changeSpeed>
			<speed>1.25 + $rank + $rand * 0.25</speed>
			<term>100 + $rand * 100</term>
		</changeSpeed>
	</action>
</bullet>

</bulletml>
